# $Revision: 1.33 $, $Date: 2002/09/30 01:24:52 $
Summary:	Interface generator for Perl, Tcl, Guile and Python
Summary(pl):	Generator interfejsw do Perla, Tcl-a, Guile'a i Pythona
Summary(pt_BR): Gerador de Interfaces e "Wrappers" Simplificado (SWIG)
Name:		swig
Version:	1.3.15
Release:	1
License:	distributable
Group:		Development/Languages
Source0:	http://prdownloads.sourceforge.net/swig/%{name}-%{version}.tar.gz
URL:		http://www.swig.org/
Icon:		swig.gif
BuildRequires:	autoconf
BuildRequires:	guile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	perl-devel >= 5.6.1
BuildRequires:	php-devel >= 4.1.0
BuildRequires:	python >= 2.2
BuildRequires:	ruby >= 1.6.3
BuildRequires:	tcl >= 8.3.3
BuildRequires:	ocaml-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SWIG is a compiler that attempts to make it easy to integrate C, C++,
or Objective-C code with scripting languages including Perl, Tcl, and
Python. In a nutshell, you give it a bunch of ANSI C/C++ declarations
and it generates an interface between C and your favorite scripting
language. However, this is only scratching the surface of what SWIG
can do--some of its more advanced features include automatic
documentation generation, module and library management, extensive
customization options, and more.

SWIG is entirely the product of users who have used the system and
suggested new idea. There are far too many people to thank
individually, but without this support, SWIG would be not be nearly as
powerful or fun to use as it is now. Many thanks!

%description -l pl
SWIG jesk kompilatorem, ktry prbuje uatwi integrowanie kodu
napisanego w C, C++ lub Objective-C z jzykami skryptowymi, takimi jak
Perl, Tcl i Python. Mwic najprociej, jeli dostarczysz mu zestaw
zadeklarowanych w ANSI C/C++ funkcji, SWIG wygeneruje Ci interfejs
pomidzy C a Twoim ulubionym jzykiem skryptowym. To tylko drobna
cz tego co SWIG potrafi robi, bardziej zaawansowane zastosowania
to automatyczne generowanie dokumentacji, zarzdzanie bibliotekami i
moduami i wiele innych.

SWIG jest w caoci dzieem ludzi, ktrzy go uywali i wprowadzali
nowe pomysy. Zbyt wielu ich jest, aby dzikowa kademu z nich
osobno, ale bez ich wsparcia SWIG nie byby ani tak potnym
narzdziem, ani tak fajnym w uyciu jak jest teraz. Wiekie dziki!

%description -l pt_BR
O SWIG gera interfaces para perl, python e tcl a partir de uma arquivo 
com uma interface de descrio que consiste de uma combinao de C/C++
e diretivas especiais. Permite que linguagens tipo script usem C/C++
com um mnimo de esforo.

%package guile
Summary:	SWIG library: guile
Summary(pl):	Biblioteka SWIG: guile
Group:		Libraries

%description guile
SWIG library: guile.

%description guile -l pl
Biblioteka SWIG: guile.

%package perl
Summary:	SWIG library: Perl
Summary(pl):	Biblioteka SWIG: Perl
Group:		Libraries

%description perl
SWIG library: perl.

%description perl -l pl
Biblioteka SWIG: perl.

%package python
Summary:	SWIG library: python
Summary(pl):	Biblioteka SWIG: python
Group:		Libraries

%description python
SWIG library: python.

%description python -l pl
Biblioteka SWIG: python.

%package ruby
Summary:	SWIG library: ruby
Summary(pl):	Biblioteka SWIG: ruby
Group:		Libraries

%description ruby
SWIG library: ruby.

%description ruby -l pl
Biblioteka SWIG: ruby.

%package tcl
Summary:	SWIG library: tcl
Summary(pl):	Biblioteka SWIG: tcl
Group:		Libraries

%description tcl
SWIG library: tcl.

%description tcl -l pl
Biblioteka SWIG: tcl.

%package ocaml
Summary:	SWIG library: ocaml
Summary(pl):	Biblioteka SWIG: ocaml
Group:		Libraries

%description ocaml
SWIG library: ocaml.

%description ocaml -l pl
Biblioteka SWIG: ocaml.

%prep
%setup -q -n SWIG-%{version}

%build
oldpwd=$PWD
for i in . Source/DOH Tools Examples/GIFPlot; do
  cd $i
  aclocal
  autoconf
  cd $oldpwd
done
%configure
%{__make} OPT="%{rpmcflags}"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a Examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

gzip -9nf CHANGES NEW README ANNOUNCE TODO LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Doc *.gz
%{_libdir}/%{name}*
%attr(755,root,root) %{_bindir}/swig
%{_examplesdir}/%{name}-%{version}

%files guile
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*guile.so
%attr(755,root,root) %{_libdir}/lib*guile.la

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*pl.so
%attr(755,root,root) %{_libdir}/lib*pl.la

%files python
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*py.so
%attr(755,root,root) %{_libdir}/lib*py.la

%files ruby
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*rb.so
%attr(755,root,root) %{_libdir}/lib*rb.la

%files tcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*tcl*.so
%attr(755,root,root) %{_libdir}/lib*tcl*.la

%files ocaml
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*ocaml*.so
%attr(755,root,root) %{_libdir}/lib*ocaml*.la

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: swig.spec,v $
Revision 1.33  2002/09/30 01:24:52  kloczek
- fixed %description for ocaml dubpackage.

Revision 1.32  2002/09/29 17:31:25  misiek
- updated to 1.3.15; added ocaml subpackage

Revision 1.31  2002/07/25 20:37:40  misiek
- ups, .13

Revision 1.30  2002/07/25 20:35:07  misiek
- updated to 1.3.12

Revision 1.29  2002/05/10 20:58:15  kloczek
- merge translations from Conectiva.

Revision 1.28  2002/04/13 08:04:52  qboosh
- fixed pl summary and description

Revision 1.27  2002/04/12 18:35:29  misiek
- split libs into subpackages; rel 2

Revision 1.26  2002/04/11 23:32:37  misiek
- updated to 1.3.11

Revision 1.25  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/18 02:15:05  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/12/14 00:16:29  qrczak
- swig-python.patch: look for python-2.1 and python-2.2 too.
- swig-configure.patch: Source/DOH/Test/Makefile.in doesn't exist.
- Run autoconf.
- Release 0.2.

Revision 1.21  2001/09/05 14:24:46  mis
- few fixes

Revision 1.20  2001/07/09 15:25:09  wiget
- version 1.3a5
- added BuildRequires rules
- updated %%files
- test release 0.1 - need more testing

Revision 1.19  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/02/06 11:02:29  kloczek
- spec adapterized and make %%{debug} (NOTE: package not compiles).

Revision 1.17  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/05 16:18:20  kloczek
- cosmetics only (not compiles).

Revision 1.15  2000/04/01 11:15:41  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.13  1999/07/14 14:25:24  baggins
- fixed files listing

Revision 1.12  1999/07/14 14:10:38  baggins
- FHS 2.0
- cleanup
- gziping docs

Revision 1.11  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).
